Anonymous Login
2019-12-08 18:48 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000869v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:41
Reportersantosdiez 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000869: When using module 'Holiday' the week view doesn't work
DescriptionTurning error reporting on it prints a very clear message:

Fatal error: Class 'CHoliday' not found
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002019

eureka (reporter)

This problem is normally fixed since version 2.3. What version of web2project do you use?

~0002020

santosdiez (reporter)

Last edited: 2011-07-07 10:30

We started using 2.3.1, and now we are currently using a version close to the development one (future 2.4).

I've already sent a pull request with a (at least temporary) fix :)

~0002022

eureka (reporter)

Last edited: 2011-07-09 10:46

ok, you're right !

I tried with future 2.4 !

in includes/main_functions.php, replace lines 96 to 119 by :

            if (file_exists(W2P_BASE_DIR.'/classes/'.$name.'.class.php')) {
                require_once W2P_BASE_DIR.'/classes/'.$name.'.class.php';
                return;
            }

            if ($name[0] == 'c') {
                $name = substr($name, 1);
            }
            if (file_exists(W2P_BASE_DIR.'/modules/'.$name.'/'.$name.'.class.php')) {
                require_once W2P_BASE_DIR.'/modules/'.$name.'/'.$name.'.class.php';
                return;
            }
            if (!in_array($name, array('system'))) {
                $name = w2p_pluralize($name);
            }
            if (file_exists(W2P_BASE_DIR.'/modules/'.$name.'/'.$name.'.class.php')) {
                require_once W2P_BASE_DIR.'/modules/'.$name.'/'.$name.'.class.php';
                return;
            }
            break;

~0002023

santosdiez (reporter)

Great! ;)

I've replaced my kludgy workaround with your piece of code in my branch solving this issue.

It was already sent as pull request, so thank you so much!

~0002025

caseydk (administrator)

Resolved by pull request in r1985;
+Notes

-Issue History
Date Modified Username Field Change
2011-07-07 10:07 santosdiez New Issue
2011-07-07 10:25 eureka Note Added: 0002019
2011-07-07 10:29 santosdiez Note Added: 0002020
2011-07-07 10:30 santosdiez Note Edited: 0002020
2011-07-09 10:36 eureka Note Added: 0002022
2011-07-09 10:46 eureka Note Edited: 0002022
2011-07-10 02:34 santosdiez Note Added: 0002023
2011-07-14 22:55 caseydk Note Added: 0002025
2011-07-14 22:55 caseydk Status new => resolved
2011-07-14 22:55 caseydk Resolution open => fixed
2011-07-14 22:55 caseydk Assigned To => caseydk
2011-08-16 23:41 caseydk Status resolved => closed
2011-08-16 23:41 caseydk Fixed in Version => 2.4
+Issue History